<?php

// get config
if(file_exists("config.php")) require_once("config.php");

// initial http file
$WEB_ROOT_FS = realpath(dirname(__FILE__));
$BASE_URL = dirname($_SERVER["PHP_SELF"]);

global $WEB_ROOT_FS, $BASE_URL, $data_directory, $db_type, $db_name, $db_username, $db_password;

// the index will search for the base library depending on:
// if lib_base is set in config.php, it'll go there and nowhere else
// if lib_base is not set, it'll look for ../gwvplib, /usr/share/php/gwbplib and /usr/share/gwvp/gwvplib
if(isset($lib_base)) {
	if(file_exists($lib_base."/gwvplib.php")) {
		$path = realpath($lib_base);
		set_include_path(get_include_path().PATH_SEPARATOR.$path);
	} else {
		echo "Problem: lib_base is set in the config.php file, but I cant find the actual library<br>";
		echo "I have to bail";
		return;
	}
} else {
	if(file_exists("../gwvplib/gwvplib.php")) {
		$path = realpath("../gwvplib/");
		set_include_path(get_include_path().PATH_SEPARATOR.$path);
	} else if(file_exists("/usr/share/php/gwvplib/gwvplib.php")) {
		$path = realpath("/usr/share/php/gwvplib/");
		set_include_path(get_include_path().PATH_SEPARATOR.$path);
	} else if(file_exists("/usr/share/gwvp/gwvplib/gwvplib.php")) {
		$path = realpath("/usr/share/gwvp/gwvplib/");
		set_include_path(get_include_path().PATH_SEPARATOR.$path);
	} else {
		echo "Problem: lib_base is set in the config.php file, but I cant find the actual library<br>";
		echo "I have to bail";
		return;
	}
}

require_once("gwvplib.php");

/* first determine the url, it will be something that does either or the following:
 * 
 * 
 * 1. admin functions (create/delete repo)
 * 2. user functions (patch pushes, pull requests)
 * 3. gitweb functions (to display git web output)
 * 4. git-http-backend functions (to interact with command line functions)
 * 5. do we auth?
 */

gwvp_goWebBegin();
//goWebGitBackEnd();


if(function_exists("gwvp_DebugEnabled")) {
	gwvp_DebugEnabled();
}


?>
